[Launch]
ProgramExecutable=Foxit Reader\Foxit Reader.exe
WorkingDirectory=%PAL:AppDir%\Foxit Reader
DirectoryMoveOK=yes

[Activate]
Registry=true

[RegistryKeys]
FoxitReaderPortable=HKCU\Software\Foxit Software\Foxit Reader
FoxitReaderPortable5=HKCU\Software\Foxit Software\Foxit Reader 5.0
-=HKLM\SOFTWARE\Classes\FoxitReader.Document
-=HKLM\SOFTWARE\Classes\FoxitReader.FDFDoc
-=HKLM\SOFTWARE\Classes\CLSID\{14E8BBD8-1D1C-4D56-A4DA-D20B75EB814E}
-=HKLM\SOFTWARE\Classes\CLSID\{A43F4073-BEBD-4142-B590-27A74384620B}

[RegistryCleanupIfEmpty]
1=HKCU\Software\Foxit Software

[DirectoriesMove]
-=%APPDATA%\Foxit Software\Foxit Reader

[DirectoriesCleanupIfEmpty]
1=%APPDATA%\Foxit Software

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\FoxitReaderPortable.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\FoxitReaderPortable.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\FoxitReaderPortable5.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%

[FileWrite4]
Type=Replace
File=%PAL:DataDir%\settings\FoxitReaderPortable5.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\

[FileWrite5]
Type=Replace
File=%PAL:AppDir%\Foxit Reader\UpdaterInfo.xml
Find=FoxitReaderPathToReplace
Replace=%PAL:AppDir%\Foxit Reader

[FileWrite6]
Type=Replace
File=%PAL:AppDir%\Foxit Reader\UpdaterInfo.xml
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%

[FileWrite7]
Type=Replace
File=%PAL:AppDir%\Foxit Reader\UpdaterInfo.xml
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\

[FileWrite8]
Type=INI
File=%PAL:DataDir%\settings\FoxitReaderPortable5.reg
Section=HKEY_CURRENT_USER\Software\Foxit Software\Foxit Reader 5.0\Preferences\Languages
Key='"langid"'
Value='"%PAL:LanguageCustom%"'

[Language]
Base=%PortableApps.comLocaleName%

[LanguageStrings]
Arabic=40802d
Bulgarian=40803d
Catalan=40805d
SimpChinese=40807d
TradChinese=40808d
Czech=40806d
Danish=40809d
Dutch=40810d
English=40801d
Estonian=40812d
Finnish=40813d
French=40814d
German=40816d
Greek=40817d
Hebrew=40832d
Irish=40836d
Italian=40818d
Japanese=40833d
Korean=40819d
Norwegian=40822d
Polish=40823d
Portuguese=40824d
PortugueseBR=40825d
Russian=40827d
Slovenian=40828d
Spanish=40829d
Swedish=40830d
Turkish=40831d

[LanguageFile]
Type=INI
File=%PAL:DataDir%\settings\FoxitReaderPortable5.reg
Section=HKEY_CURRENT_USER\Software\Foxit Software\Foxit Reader 5.0\Preferences\Languages
Key='"langid"'